$item-background-color: rgb(230, 229, 224);
$item-background-alt-color: rgb(212, 212, 211);

$contained-item-background-color: rgb(179, 179, 179);
$contained-item-background-alt-color: rgb(172, 172, 172);

.item-magic-checks {
  flex: 0 0 24px;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
}

.sheet.item {
  min-width: 500px;
  min-height: 470px;

  select {
    width:100%;
    padding-top: 1px;
    padding-bottom: 1px;
    margin-left: 2px;
    margin-right: 2px;
  }
    
  .general-properties-column {
    float: left;
    width: 33.33%;
    padding: 5px;
  }
  .item-skill-modifier-column.li {
    border: 1px groove black;
  }
  
  .general-properties-row:after {
    content: "";
    display: table;
    clear: both;
  }        

  .item-check-label {
    margin-top: auto;
    margin-bottom: auto;
  }
  .skill-mod-field {
    flex-basis: 60px;
    flex-grow: 0;
    text-align: center;
    font-size: 0.99em;
    input {
      margin: 3px 0;
      border-bottom: none;
    }
  }


}

.icon-row {
  .icon {
    border: 0px;
    filter: brightness(0);
  }
}

.sheet-body .item-header-weapon {
  // margin: 0 0 0.5rem;
  text-align: center;
  padding: 0;
  font-weight: normal;
}


.item-titles, .item-list {
  list-style: none;
  margin: 0px;
  padding: 0px;

  
  #context-menu li.context-item {
    background: #23221d;
    background-color: #23221d;
  }  

  li:nth-of-type(odd) {
    background-color: $item-background-color;
  }

  li:nth-of-type(even) {
    background-color: $item-background-alt-color;
  }

  .item-container-collapsed {
    flex: 0 0 8px;
    height: 8px;
    background-size: 8px;
    border: none;
    margin-right: 1px;
    flex-shrink: 1;
  }

  .initiative-roll-speed {
    flex-grow: 0;
    flex-basis: 25px;
  }

  // items in a container specifics. 
  .in-container {
    margin-left: 10px;

    // li {
    //   background-color: $contained-item-background-color;
    // }

    li:nth-of-type(odd) {
      background-color: $contained-item-background-color;
    }
  
    li:nth-of-type(even) {
      background-color: $contained-item-background-alt-color;
    }

    li:first-of-type::before {
      height: 50%;
      top: 0;
    }

    li:last-of-type::after {
        border: none;
    } 
    
    .item {
      position: relative;

      &::before,
      &::after {
          position: absolute;
          border-left: 1px solid black;
          top: 0;
          height: 50%;
          left: -5px;
          width: 5px;
          content: '';
      }
  
      &::before {
          border-bottom: 1px solid black;
          top: 0;
      }
  
      &::after {
          top: 50%;
      }
  
    }
   
  }


  .item-header {
    font-weight: bold;
    background-color: $c-mid;
  }

  .item-subheader {
    font-weight: normal;
    background-color: $c-subheader;
  }
   
  .item {
    height: 25px;
    line-height: 24px;
    padding: 1px 0;
    border-bottom: 1px solid #bbb;
    
    .item-name {
      flex: 2;
      margin: 0;
      overflow: hidden;
      font-size: 1.01em;
      text-align: left;
      align-items: center;  
    }  
    
    .item-name {
      cursor: pointer;
      &.rollable:hover .item-image {
        background-image: url("../../icons/svg/d20-grey.svg") !important;
      }
      &.rollable .item-image:hover {
        background-image: url("../../icons/svg/d20-black.svg") !important;
      }
    }

 
    
    .item-image {
      flex: 0 0 24px;
      height: 24px;
      background-size: 24px;
      border: none;
      margin-right: 5px;
      flex-shrink: 1;
    }


    .icon-row {
      .tooltip {
        position: relative;
        display: inline-block;
      }

      .tooltip .tooltip-text {
        visibility: hidden;
        background-color: black;
        color: white;
        text-align: center;
        border-radius: 3px;
        padding: 2px 2px;

        position: absolute;
        z-index: 1;
      }

      .tooltip:hover .tooltip-text {
        visibility: visible;
      }
    }


  }

}


.item {
  .item-header-input, .item-header-titles {
    .short-number {
      flex-shrink: 1;
    }
    .short-text {
      flex-shrink: 2;
    }
    .longer-number {
      flex-grow: 2;
    }

  }
}

.inventory {

  .item-location {
    flex-basis: 25px;
    flex-grow: 0;
    text-align: center;
    align-items: center;
  }    

  .item-name {
    flex: 2;
    margin: 0;
    overflow: hidden;
    font-size: 1.01em;
    text-align: left;
    align-items: center;
  }    
  .magic {
    color:darkblue;
  }
  .gm-unidentified {
    color:red;
  }
}

// .item-name {
//   flex: 2;
//   margin: 0;
//   overflow: hidden;
//   font-size: 13px;
//   text-align: left;
//   align-items: center;  
// }    

.short-field {
  flex-basis: 25px;
  flex-grow: 0;
  text-align: center;
  font-size: 0.99em;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;    
  &.quantity {
    display: flex;
    input {
      margin: 3px 0;
      border-bottom: none;
    }
  }
}


.item-controls {
  flex: 0 0 53px;
  text-align: right;
}

.item-spell {
  font-size: 1.01em;

  // .spell-details-label {

  // }

  .spell-details-input {
    flex-grow: 2;
  }
  
  .spell-details-block {
    padding: 3px;
  }

  .spell-component-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3px;
    grid-auto-rows: minmax(10px, auto);
    width: 50px;
  }

  .spell-component {
    font-size: 0.99em;
    margin: auto;
    width: 15px;height: 15px;
    text-align: center;
    align-content: center;
  }
}


//--------------

// .osric.sheet.item {
//   min-height: 400px;
//   max-height: 95%;
//   min-width: 480px;

//   /* ----------------------------------------- */
//   /*  Sheet Header                             */
//   /* ----------------------------------------- */

//   .sheet-header {
//     img.profile {
//       border: 2px solid #000;
//     }

//     .item-subtitle {
//       flex: 0 0 100px;
//       height: 60px;
//       margin: 0;
//       padding: 5px;
//       text-align: right;
//       color: tan;

//       .item-type {
//         font-size: 24px;
//         line-height: 26px;
//         margin: 0;
//       }

//       .item-status {
//         font-size: 16px;
//         line-height: 24px;
//       }
//     }
//   }

//   .sheet-navigation {
//     margin-bottom: 5px;
//     .item {
//       font-size: 18px;
//     }
//   }

//   .sheet-body {
//     overflow: hidden;

//     .tab {
//       padding: 0 5px;
//       overflow: hidden auto;
//     }

//     .item-properties {
//       flex: 0 0 120px;
//       margin: 5px 5px 5px 0;
//       padding-right: 5px;
//       border-right: groove;

//       .form-group {
//         margin: 0;
//         label {
//           line-height: 20px;
//         }
//         input {
//           text-align: right;
//         }
//       }

//       .properties-list {
//         list-style: none;
//         margin: 0;
//         padding: 0;

//         li {
//           margin: 3px 0;
//           padding: 0 2px;
//           background: rgba(0, 0, 0, 0.05);
//           border: groove;
//           text-align: center;
//           font-size: 12px;
//           line-height: 18px;
//         }
//       }
//     }
//   }

//   /* ----------------------------------------- */
//   /*  Item Details Form                        */
//   /* ----------------------------------------- */

//   .details {

//     // Item Sheet form fields
//     input[type="text"],
//     input[type="number"],
//     select {
//       height: 24px;
//       border: 1px solid tan;
//       background: rgba(0, 0, 0, 0.05);
//     }

//     .form-group {
//       span {
//         text-align: center;
//         line-height: 24px;
//       }
//     }

//     .form-group.input-select {
//       select {
//         flex: 1.8;
//       }
//     }

//     .form-group.input-select-select {
//       select {
//         flex: 1.5;
//       }
//     }

//     .form-group.uses-per {
//       .form-fields {
//         flex-wrap: nowrap;
//       }
//       input {
//         flex: 0 0 32px;
//       }
//       span {
//         flex: 0 0 16px;
//         margin: 0 4px 0 0;
//       }
//     }
//     span.sep {
//       flex: 0 0 8px;
//     }

//     .prepared {
//       flex: 1.3 !important;
//       text-align: right;
//       padding-right: 10px;
//     }

//     // Spell Materials
//     .spell-materials {
//       flex: 0 0 100%;
//       margin: 0.25em 0;
//       justify-content: flex-end;
//       label {
//         flex: 0 0 64px;
//         text-align: right;
//         margin-right: 5px;
//         font-size: 12px;
//         line-height: 24px;
//       }
//       input[type="text"] {
//         flex: 0 0 48px;
//         margin-right: 10px;
//       }
//     }
//   }

//   /* ----------------------------------------- */
//   /*  Item Actions                             */
//   /* ----------------------------------------- */

//   h4.damage-header {
//     margin: 0;
//     padding: 0;
//     font-weight: bold;
//     line-height: 24px;
//     color: olive;
//   }

//   .damage-parts {
//     list-style: none;
//     margin: 0;
//     padding: 0;

//     .damage-part {
//       flex: 0 0 100%;
//       padding: 0;
//       input {
//         flex: 3;
//       }
//       select {
//         margin-left: 5px;
//         flex: 1;
//       }
//     }
//   }

//   .damage-control {
//     width: 18px;
//     flex: 0 0 18px;
//     line-height: 24px;
//     float: right;
//     text-align: right;
//     color: tan;
//   }

//   .recharge.form-group {
//     span {
//       text-align: right;
//       padding-right: 3px;
//     }
//     input[type="text"] {
//       flex: 0 0 32px;
//       text-align: center;
//     }
//     label.checkbox {
//       flex: none;
//       input {
//         width: 16px;
//         height: 16px;
//         top: 4px;
//       }
//     }
//   }

//   /* ----------------------------------------- */
//   /*  Item Actions                             */
//   /* ----------------------------------------- */

//   .weapon-properties label.checkbox {
//     flex: 0 0 98px;
//   }

//   /* ----------------------------------------- */
//   /*  Loot Sheet (No Tabs)                     */
//   /* ----------------------------------------- */

//   .loot-header {
//     margin-bottom: 10px;
//   }
// }


.item-spell {
  // display: flex;
  // justify-content: center;
  // align-items: center;
  border: 1px groove;
  border-radius: 5px;
  margin-top: 1px;
  margin-bottom: 1px;
  margin-right: 2px;
  margin-left: 2px;  
}

